import style from "./main.module.css";

import IriSP from "./js/init";

if (typeof window.IriSP === "undefined") {
  window.IriSP = IriSP;
}

import Model from "./js/model";

IriSP.Model = Model(IriSP);

import htmlPlayer from "./js/html-player";

IriSP.htmlPlayer = htmlPlayer;

import utils from "./js/utils";

Object.assign(IriSP, utils(IriSP));

import iFrameUpdater from "./js/iframe_embed/embedder";

IriSP.iFrameUpdater = iFrameUpdater;

import serializers from "./js/serializers";

IriSP.serializers = serializers(IriSP);

import defaults from "./js/widgets-container/defaults";

Object.assign(IriSP, defaults(IriSP));

import metadataplayer from "./js/widgets-container/metadataplayer";

metadataplayer(IriSP);

import widgetsBase from "./js/widgets-container/widget";

IriSP.Widgets = widgetsBase(IriSP);

import widgets from "./widgets";

Object.assign(IriSP.Widgets, widgets(IriSP));

export default { IriSP, style };